---
references:
- id: HuijbenReview2022
  accessed:
    - year: 2022
      month: 3
      day: 28
  author:
    - family: Huijben
      given: Iris A. M.
    - family: Kool
      given: Wouter
    - family: Paulus
      given: Max B.
    - family: Sloun
      given: Ruud J. G.
      non-dropping-particle: van
  citation-key: HuijbenReview2022
  container-title: arXiv:2110.01515 [cs, stat]
  issued:
    - year: 2022
      month: 3
      day: 8
  title: >-
    A Review of the Gumbel-max Trick and its Extensions for Discrete
    Stochasticity in Machine Learning
  type: article-journal
  URL: http://arxiv.org/abs/2110.01515

- id: JangCategorical2017
  accessed:
    - year: 2022
      month: 1
      day: 11
  author:
    - family: Jang
      given: Eric
    - family: Gu
      given: Shixiang
    - family: Poole
      given: Ben
  citation-key: JangCategorical2017
  issued:
    - year: 2017
      month: 8
      day: 5
  title: Categorical Reparameterization with Gumbel-Softmax
  type: article
  URL: http://arxiv.org/abs/1611.01144
  version: '5'

- id: MaddisonConcrete2017
  accessed:
    - year: 2022
      month: 4
      day: 1
  author:
    - family: Maddison
      given: Chris J.
    - family: Mnih
      given: Andriy
    - family: Teh
      given: Yee Whye
  citation-key: MaddisonConcrete2017
  event-title: International Conference on Learning Representations
  issued:
    - year: 2017
      month: 3
      day: 5
  language: en
  title: >-
    The Concrete Distribution: A Continuous Relaxation of Discrete Random
    Variables
  type: paper-conference
  URL: https://arxiv.org/abs/1611.00712v3

- id: MaddisonSampling2015
  accessed:
    - year: 2024
      month: 6
      day: 26
  author:
    - family: Maddison
      given: Chris J.
    - family: Tarlow
      given: Daniel
    - family: Minka
      given: Tom
  citation-key: MaddisonSampling2015
  DOI: 10.48550/arXiv.1411.0030
  issued:
    - year: 2015
      month: 1
      day: 26
  number: arXiv:1411.0030
  publisher: arXiv
  title: A* Sampling
  type: article
  URL: http://arxiv.org/abs/1411.0030

- id: PapandreouPerturbandMAP2011
  accessed:
    - year: 2022
      month: 4
      day: 1
  author:
    - family: Papandreou
      given: George
    - family: Yuille
      given: Alan L.
  citation-key: PapandreouPerturbandMAP2011
  container-title: 2011 International Conference on Computer Vision
  DOI: 10.1109/ICCV.2011.6126242
  event-place: Barcelona, Spain
  event-title: 2011 IEEE International Conference on Computer Vision (ICCV)
  ISBN: 978-1-4577-1102-2 978-1-4577-1101-5 978-1-4577-1100-8
  issued:
    - year: 2011
      month: 11
  language: en
  page: 193-200
  publisher: IEEE
  publisher-place: Barcelona, Spain
  title: >-
    Perturb-and-MAP random fields: Using discrete optimization to learn and
    sample from energy models
  type: paper-conference

- id: PaulusRaoBlackwellizing2020
  accessed:
    - year: 2024
      month: 5
      day: 16
  author:
    - family: Paulus
      given: Max B.
    - family: Maddison
      given: Chris J.
    - family: Krause
      given: Andreas
  citation-key: PaulusRaoBlackwellizing2020
  DOI: 10.48550/arXiv.2010.04838
  issued:
    - year: 2020
      month: 10
      day: 9
  number: arXiv:2010.04838
  publisher: arXiv
  title: Rao-Blackwellizing the Straight-Through Gumbel-Softmax Gradient Estimator
  type: article
  URL: http://arxiv.org/abs/2010.04838

- id: PotapczynskiInvertible2020
  accessed:
    - year: 2023
      month: 10
      day: 3
  author:
    - family: Potapczynski
      given: Andres
    - family: Loaiza-Ganem
      given: Gabriel
    - family: Cunningham
      given: John P
  citation-key: PotapczynskiInvertible2020
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2020
  page: 12311–12321
  publisher: Curran Associates, Inc.
  title: 'Invertible Gaussian Reparameterization: Revisiting the Gumbel-Softmax'
  type: paper-conference
  URL: >-
    https://proceedings.neurips.cc/paper/2020/hash/90c34175923a36ab7a5de4b981c1972f-Abstract.html
  volume: '33'

- id: ShekhovtsovCold2023
  accessed:
    - year: 2024
      month: 5
      day: 21
  author:
    - family: Shekhovtsov
      given: Alexander
  citation-key: ShekhovtsovCold2023
  container-title: Proceedings of the 40th International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 2640-3498
  issued:
    - year: 2023
      month: 7
      day: 3
  language: en
  page: 30931-30955
  publisher: PMLR
  title: >-
    Cold Analysis of Rao-Blackwellized Straight-Through Gumbel-Softmax Gradient
    Estimator
  type: paper-conference
  URL: https://openreview.net/forum?id=9GjM8UzCYN

- id: WangRelaxed2020
  accessed:
    - year: 2022
      month: 4
      day: 1
  author:
    - family: Wang
      given: Xi
    - family: Yin
      given: Junming
  citation-key: WangRelaxed2020
  container-title: >-
    Proceedings of the 36th Conference on Uncertainty in Artificial Intelligence
    (UAI)
  event-title: Conference on Uncertainty in Artificial Intelligence
  ISSN: 2640-3498
  issued:
    - year: 2020
      month: 8
      day: 27
  language: en
  page: 500-509
  publisher: PMLR
  title: >-
    Relaxed Multivariate Bernoulli Distribution and Its Applications to Deep
    Generative Models
  type: paper-conference
  URL: https://proceedings.mlr.press/v124/wang20b.html
...
